On this page

Golden 3.0.0 public API reference. Parameters, responses, and schemas for supported customer operations.

5 operations.

GET /api/files

Retrieves all available files.

Operation ID: getFiles

Locates all files and returns. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
sortingqueryfalsestringSorting criteria. Sorted by name by default enum: [“NAME”, “SIZE”, “CREATED”]; default: “NAME”
directionqueryfalsestringSorting direction. Ascending by default enum: [“ASC”, “DESC”]; default: “ASC”
pageNumberqueryfalseinteger (int32)Page number. Page 0 by default. default: 0; minimum: 0
pageSizequeryfalseinteger (int32)Page size, at most 1000. A larger value is a 400, not a clamped page. default: 10; maximum: 1000; exclusiveMinimum: 0

Responses

StatusDescriptionBody
200Successful operationapplication/json: FileListResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

POST /api/files

Uploads a new file.

Operation ID: uploadFile

Receives a stream of binary data and creates a new file with provided metadata. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
namequerytruestringFile name. Name is important because it determines if the file is compressed (.gz extension) and the mime type (eg. csv or json extension) minLength: 1
descriptionqueryfalsestringFile description

Request body

Media typeRequiredSchema
multipart/form-datatrueobject

Fields for multipart/form-data:

PropertyTypeRequiredDescription
filestring (binary)trueMultipart file to be uploaded

Responses

StatusDescriptionBody
200Successful operationapplication/json: FileResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

GET /api/files/download/{file}

Retrieves a file by identifier.

Operation ID: downloadFile

Locates a file by identifier and returns the binary content. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
filepathtruestringFile identifier minLength: 1

Responses

StatusDescriptionBody
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

GET /api/files/{file}

Retrieves one file.

Operation ID: getFile

Locates one file by identifier and returns. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
filepathtruestringFile identifier minLength: 1

Responses

StatusDescriptionBody
200Successful operationapplication/json: FileResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

DELETE /api/files/{file}

Deletes a file.

Operation ID: deleteFile

Locates a file and deletes it. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
filepathtruestringFile identifier to be deleted minLength: 1

Responses

StatusDescriptionBody
200Successful operationapplication/json: FileResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto
Golden 3.0.0 · Published 2026-10-04